In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
notification_guid
string
required
The unique identifier for notifications. Defined by MX.
Response
200 - application/vnd.mx.nexus.v1+json
OK
notification
object
Hide child attributes
notification.created_on
string
Date the notification was created, as provided by our data feed. Represented in ISO 8601 format (e.g. 2011-03-28).
Example:
"2022-04-01T12:58:08.000Z"
notification.deep_link_guid
string
The unique identifier for objects that directly trigger a notification. EX: TRANSACTION_FEE_CHARGE and TRANSACTION_EXPENSE_LARGE notification types will have a transaction guid in this field.
Example:
"BGT-e386a323-e452-47f2-b2fd-1ac3c18533de"
notification.entity_guid
string
The unique identifier of the entity that the notification is attached to.
Example:
"BGT-e386a323-e452-47f2-b2fd-1ac3c18533de"
notification.guid
string
Unique identifier for the notification. Defined by MX.
Example:
"TF-b53294f5-2356-4782-9f81-ae064c42b40a"
notification.has_been_viewed
boolean
If the notification has been viewed, this field will be true. Otherwise, this field will be false.
Example:
false
notification.notification_type
integer
Specific type of notification being sent. See notification types for more information.
Example:
2
notification.notification_type_name
string
The name of the notification type. See notification types for more information.
Example:
"BUDGET_OFF_TARGET"
notification.subject
string
The notification summary text. Usually the same text used for "in-app" or SMS deliverables.
Example:
"You're projected to spend $1,920.07 more than you've budgeted for Fees & Charges. You've already spent $65.67 of $316.00."
notification.threshold
integer | null
The amount that needs to be succeeded before the user receives the notification.